Bug 1142422

Summary: Review Request: unifrakturmaguntia-fonts - Font that provide a Fraktur typeface that may be embedded on websites
Product: [Fedora] Fedora Reporter: Julien Enselme <jujens>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fonts-bugs, i18n-bugs, package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: unifrakturmaguntia-fonts-0-0.2.20140706.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-09-23 04:52:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1070946    

Description Julien Enselme 2014-09-16 18:02:48 UTC
Spec URL: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/unifrakturmaguntia-fonts.spec
SRPM URL: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/unifrakturmaguntia-fonts-2014-0.1.20140706.fc20.src.rpm
Description: 
UnifrakturMaguntia is based on Peter Wiegel’s font Berthold Mainzer Fraktur. The
main differences from Peter Wiegel’s font are the following:

- UnifrakturMaguntia uses OpenType for displaying the font’s ligatures.
- UnifrakturMaguntia is suitable for @font-face embedding on the internet. It
  has a permissive license, the OFL, that explicitly allows font embedding.
- G. Ansmann has carefully redrawn all glyphs and significantly expanded the
  font.

Fedora Account System Username: jujens

Comment 1 Parag AN(पराग) 2014-09-17 05:51:10 UTC
Review:

+ Package builds fine in mock in F22

- rpmlint on generated rpms gave output
unifrakturmaguntia-fonts.noarch: W: spelling-error %description -l en_US Ansmann -> Klansman, Clansman
unifrakturmaguntia-fonts.noarch: W: spelling-error %description -l en_US glyphs -> glyph, glyph s
unifrakturmaguntia-fonts.src: W: spelling-error %description -l en_US Ansmann -> Klansman, Clansman
unifrakturmaguntia-fonts.src: W: spelling-error %description -l en_US glyphs -> glyph, glyph s
unifrakturmaguntia-fonts.src: E: specfile-error warning: line 66: second %files
2 packages and 0 specfiles checked; 1 errors, 4 warnings.

=> Can be fixed easily

+ source verified with upstream as (sha256sum)
packaged source: 5119394196ee30f00aeb4a8f22b910fa3ba70a4bb871b4ca216738ba26359152
upstream source: 5119394196ee30f00aeb4a8f22b910fa3ba70a4bb871b4ca216738ba26359152

+ License is OFL and included in its own text file OFL.txt

+ fontconfig file looks good

+ follows fonts packaging guidelines 

- extra %files in spec in srpm.
==> looks like you forgot to update srpm but only updates spec. you can import fixed srpm

few more issues are
1) you don't need in %prep
rm -rf UnifrakturMaguntia.2014-07-06

2) Download Source URL should be
http://downloads.sourceforge.net/project/unifraktur/fonts/UnifrakturMaguntia.2014-07-06.zip

3) I will suggest use version as 0. So that we will avoid year duplication
Version:       0
Release:       0.1.%{source_date}%{?dist}

4) %summary should be
Font that provide a Fraktur typeface that may be embedded on websites. 

Note This font is created by  j. 'mach' wust, Gerrit Ansmann and Georg Duffner and not by Peter Wiegel as per FontLog.txt

Comment 2 Julien Enselme 2014-09-17 12:15:58 UTC
1) Removed

2) Fixed

3) Good suggestion. Done.

4) Changed.

> Note This font is created by  j. 'mach' wust, Gerrit Ansmann and Georg Duffner and not by Peter Wiegel as per FontLog.txt

Indeed. It is only inspired from a font by Peter Wiegel.

Spec URL: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/unifrakturmaguntia-fonts.spec
SRPM URL: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/unifrakturmaguntia-fonts-0-0.2.20140706.fc20.src.rpm

Comment 3 Parag AN(पराग) 2014-09-17 12:49:00 UTC
Looks good.

APPROVED.

Comment 4 Julien Enselme 2014-09-17 13:49:44 UTC
New Package SCM Request
=======================
Package Name: unifrakturmaguntia-fonts
Short Description: Font that provide a Fraktur typeface that may be embedded on websites
Upstream URL: http://unifraktur.sourceforge.net/maguntia.html
Owners: jujens
Branches: f20 f21
InitialCC: fonts-sig, i18n-team

Comment 5 Gwyn Ciesla 2014-09-17 16:57:11 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-09-17 18:39:08 UTC
unifrakturmaguntia-fonts-0-0.2.20140706.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/unifrakturmaguntia-fonts-0-0.2.20140706.fc20

Comment 7 Fedora Update System 2014-09-17 18:39:17 UTC
unifrakturmaguntia-fonts-0-0.2.20140706.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/unifrakturmaguntia-fonts-0-0.2.20140706.fc21

Comment 8 Fedora Update System 2014-09-19 10:08:37 UTC
unifrakturmaguntia-fonts-0-0.2.20140706.fc20 has been pushed to the Fedora 20 testing repository.

Comment 9 Fedora Update System 2014-09-23 04:52:15 UTC
unifrakturmaguntia-fonts-0-0.2.20140706.fc21 has been pushed to the Fedora 21 stable repository.

Comment 10 Fedora Update System 2014-09-25 10:35:28 UTC
unifrakturmaguntia-fonts-0-0.2.20140706.fc20 has been pushed to the Fedora 20 stable repository.